<article <?php post_class(); ?>>
    <div class="post-media">
        <?php

        //Parse the content for the first occurrence of video url
        $audio = rad_extract_audio_info(rad_get_meta("audio-url"));

        if($audio != null)
        {
            //Extract video ID
            ?>
            <div class="post-media audio-frame">
                <?php
                echo rad_soundcloud_get_embed($audio["url"]);
                ?>
            </div>
        <?php
        }?>
    </div>
    <?php
    get_template_part( "templates/core/single/post", "meta" ); ?>
    <div class="post-body">
    <?php
    the_content(); 
    wp_link_pages();
    ?>
    </div>
    <?php
    get_template_part( "templates/core/single/post", "share" );
    get_template_part( "templates/core/single/post", "tags" );
    get_template_part( "templates/core/single/post", "author" );
    ?>
</article>